From: Tobias Geerinckx-Rice <me@tobias.gr>
Date: Sat, 14 Nov 2020 15:40:38 +0100
Subject: [PATCH] gnu: perl-www-curl: Remove undeclared symbols.

Copied verbatim from the FreeBSD port[0].

[0]: https://www.freshports.org/www/p5-WWW-Curl

--- a/Makefile.PL	2014-02-21 08:08:09.000000000 -0800
+++ b/Makefile.PL	2020-04-20 15:36:35.008798000 -0700
@@ -100,6 +100,13 @@
      print "Found curl.h in $curl_h\n";
      my @syms;
      my $has_cpp = 0;
+     my @skiplist = qw/
+        CURL_DID_MEMORY_FUNC_TYPEDEFS
+        CURL_STRICTER
+        CURLINC_CURL_H
+        CURL_WIN32
+        CURLOPT
+     /;
      open(H_IN, "-|", "cpp", $curl_h) and $has_cpp++;
      unless ($has_cpp) {
          warn "No working cpp ($!).  Parsing curl.h in Perl";
@@ -121,6 +128,7 @@
     open (H, "<", $curl_h) or die ("Cannot open $curl_h: ".$!);
     while(<H>) {
         if (/^#define (CURL[A-Za-z0-9_]*)/) {
+            next if $1 ~~ @skiplist;
             push @syms, $1;
         }
     }
lass='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=2bd09dd47f2b97803cf36425f6efb4262bcdd218'>refs</a><a class='active' href='/guix/log/config-daemon.ac'>log</a><a href='/guix/tree/config-daemon.ac?id=2bd09dd47f2b97803cf36425f6efb4262bcdd218'>tree</a><a href='/guix/commit/config-daemon.ac?id=2bd09dd47f2b97803cf36425f6efb4262bcdd218'>commit</a><a href='/guix/diff/config-daemon.ac?id=2bd09dd47f2b97803cf36425f6efb4262bcdd218'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/config-daemon.ac'>
<input type='hidden' name='id' value='2bd09dd47f2b97803cf36425f6efb4262bcdd218'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/log/?id=2bd09dd47f2b97803cf36425f6efb4262bcdd218'>root</a>/<a href='/guix/log/config-daemon.ac?id=2bd09dd47f2b97803cf36425f6efb4262bcdd218'>config-daemon.ac</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/config-daemon.ac?id=2bd09dd47f2b97803cf36425f6efb4262bcdd218&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2020-12-11 19:06:53 +0100'>2020-12-11</span></td><td><a href='/guix/commit/config-daemon.ac?id=26b1030012837ff3f91d2a39971358180324d730'>maint: Remove unused 'NIX_VERSION' macro.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2020-12-11 19:06:53 +0100'>2020-12-11</span></td><td><a href='/guix/commit/config-daemon.ac?id=dbdae9f96f11a006993b659e0e7fd5cbf467f844'>maint: Avoid macros obsolete in Autoconf 2.70.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2019-11-27 00:03:03 +0100'>2019-11-27</span></td><td><a href='/guix/commit/config-daemon.ac?id=7738a72186583afb3bb2e0a866c8aba130372400'>daemon: GC remove-unused-links phase uses 'statx' when available.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2019-11-13 23:26:35 +0100'>2019-11-13</span></td><td><a href='/guix/commit/config-daemon.ac?id=298fb2907e3f432cea7dee9f58e89ab8d9dbd56f'>daemon: Don't include &lt;linux/fs.h&gt;.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2019-09-08 11:49:24 +0200'>2019-09-08</span></td><td><a href='/guix/commit/config-daemon.ac?id=f6919ebdc6b0ce0286814cc6ab0564b1a4c67f5f'>daemon: Run 'guix substitute' directly and assume a single substituter.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2019-09-08 11:49:24 +0200'>2019-09-08</span></td><td><a href='/guix/commit/config-daemon.ac?id=bc69ea2d605810cc32e13ed03d5848b8dc358b61'>daemon: Run 'guix offload' directly.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2019-09-08 11:49:24 +0200'>2019-09-08</span></td><td><a href='/guix/commit/config-daemon.ac?id=9fcc35c51fd579b3bb7b4f61cba6973675c3922c'>daemon: Run 'guix perform-download' directly.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2019-09-08 11:49:24 +0200'>2019-09-08</span></td><td><a href='/guix/commit/config-daemon.ac?id=0c684b7edfacada4f576855dbb09291f04a84fa2'>daemon: Run 'guix authenticate' directly.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2019-09-08 11:49:24 +0200'>2019-09-08</span></td><td><a href='/guix/commit/config-daemon.ac?id=2e3e5d21988fc2cafb2a9eaf4b00976ea425629d'>daemon: Invoke 'guix gc --list-busy' instead of 'list-runtime-roots'.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2019-05-01 11:05:47 +0200'>2019-05-01</span></td><td><a href='/guix/commit/config-daemon.ac?id=757e633d57a7b994759d69e41dd759a39f1a34ae'>build: Change default substitute server to "ci.guix.gnu.org".</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2018-12-04 10:57:56 +0100'>2018-12-04</span></td><td><a href='/guix/commit/config-daemon.ac?id=0a5fa004f7f21dc3e01747b8e94fbb21e056e4ca'>build: Default to https://ci.guix.info for substitutes.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2018-11-14 21:34:08 +0100'>2018-11-14</span></td><td><a href='/guix/commit/config-daemon.ac?id=0fe1fba4af41f267c4bb2c006fb37f42422ab703'>daemon: Install 'authenticate' script under LIBEXECDIR/guix.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2018-09-06 10:59:32 +0200'>2018-09-06</span></td><td><a href='/guix/commit/config-daemon.ac?id=888b64038db00c73467a05320c7c7f03070e5621'>build: Remove -L flag when $LIBGCRYPT_LIBDIR is empty.</a><span class='msg-avail'>...</span></td><td>Ludovic Courtès</td></tr>
